/*
 * Cheops Next Generation
 * 
 * Mark Spencer <markster@marko.net>
 *
 * Copyright(C) 1999, Adtran, Inc.
 * 
 * Distributed under the terms of the GNU General Public License (GPL) Version 2
 *
 * Misc functions and variables and such
 *
 */

#include <unistd.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <stdio.h>
#include "misc.h"
#include "logger.h"


int make_home_dir()
{
	/* 
	 * Make home directory for user, or quit.
	 */
	char buf[256];
	char *c;
	c = getenv("HOME");
	if (!c) {
		/* This is extremely important to everything */
		clog(LOG_ERROR, "No home directory!\n");
		exit(1);
	}
	snprintf(buf, sizeof(buf), "%s/.cheops", c);
	return mkdir(buf,0700);
}

